import { swaggerize } from 'swagger-spec-express';
import expressValidation from './validation/validate';
declare const _default: {
    swaggerize: typeof swaggerize;
    createModel: typeof createModel;
    serveSwagger: typeof serveSwagger;
    validation: typeof expressValidation;
};
/**
 * This module will support all the functionality of swagger-spec-express with additonal
 * functions of this module.
 * This module uses swagger-spec-express, swagger-ui-express and joi-to-swagger modules to
 * generate swagger documentation with joi validation.
 */
export = _default;
/**
 * Serve swagger for apis
 * @param app Express object
 * @param endPoint Swagger path on which swagger UI display
 * @param options Swagget Options.
 * @param path.routePath path to folder in which routes files defined.
 * @param path.requestModelPath path to folder in which requestModel defined.
 * @param path.responseModelPath path to folder in which responseModel defined.
 */
declare function serveSwagger(app: any, endPoint: string, options: object, path: {
    routePath: string;
    requestModelPath: string;
    responseModelPath: string;
}): void;
/**
 * This function will create proper schema based on given body, query, header and path parameter
 * mentioned in the schema.
 * @param {object} schema this is schema mentioned for each API in a route.
 */
declare function createModel(schema: any, responseModel: {
    [x: string]: any;
    hasOwnProperty: (arg0: string) => void;
}): any;
